Bug 257221 - www/gitea: Update to 1.14.5
Summary: www/gitea: Update to 1.14.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Guangyuan Yang
URL: https://blog.gitea.io/2021/07/gitea-1...
Keywords: security
Depends on:
Blocks:
 
Reported: 2021-07-16 18:14 UTC by stb
Modified: 2021-07-18 21:38 UTC (History)
2 users (show)

See Also:
ygy: merge-quarterly+


Attachments
Update to 1.14.5 (881 bytes, patch)
2021-07-16 18:19 UTC, stb
stb: maintainer-approval+
Details | Diff
Entry for vuxml (2.05 KB, patch)
2021-07-16 18:20 UTC, stb
stb: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2021-07-16 18:14:41 UTC
Update port to 1.14.5

Release 1.14.5 fixes two security issues and three bugs, and contains one enhancements.

Release notes: https://blog.gitea.io/2021/07/gitea-1.14.5-is-released/
Comment 1 stb 2021-07-16 18:19:31 UTC
Created attachment 226499 [details]
Update to 1.14.5
Comment 2 stb 2021-07-16 18:20:23 UTC
Created attachment 226500 [details]
Entry for vuxml
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 03:10:51 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval:

  Attachment -> Details -> maintainer-approval [+]
Comment 4 commit-hook freebsd_committer 2021-07-18 21:28:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=eeb94ec5a2b7b8199e78e396d032d0898ddc739e

commit eeb94ec5a2b7b8199e78e396d032d0898ddc739e
Author:     stb <stb@lassitu.de>
AuthorDate: 2021-07-18 21:27:11 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-18 21:27:11 +0000

    security/vuxml: Document vulnerabilities in www/gitea

    PR:             257221
    Approved by:    lwhsu (mentor)

 security/vuxml/vuln-2021.xml | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
Comment 5 commit-hook freebsd_committer 2021-07-18 21:31:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9aa92520214175ddd8a90dae8d7fbc0b6f499eee

commit 9aa92520214175ddd8a90dae8d7fbc0b6f499eee
Author:     stb <stb@lassitu.de>
AuthorDate: 2021-07-18 21:30:36 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-18 21:30:36 +0000

    www/gitea: Update to 1.14.5

    Changelog:      https://blog.gitea.io/2021/07/gitea-1.14.5-is-released/

    PR:             257221
    MFH:            2021Q3 (security fixes)
    Security:       943d23b6-e65e-11eb-ad30-0800273f11ea
    Approved by:    lwhsu (mentor)

 www/gitea/Makefile | 2 +-
 www/gitea/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-07-18 21:36:38 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9d45fe6ce8e14b8f21419b30d65a263c46d77349

commit 9d45fe6ce8e14b8f21419b30d65a263c46d77349
Author:     stb <stb@lassitu.de>
AuthorDate: 2021-07-18 21:30:36 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-18 21:32:55 +0000

    www/gitea: Update to 1.14.5

    Changelog:      https://blog.gitea.io/2021/07/gitea-1.14.5-is-released/

    PR:             257221
    MFH:            2021Q3 (security fixes)
    Security:       943d23b6-e65e-11eb-ad30-0800273f11ea
    Approved by:    lwhsu (mentor)

    (cherry picked from commit 9aa92520214175ddd8a90dae8d7fbc0b6f499eee)

 www/gitea/Makefile | 2 +-
 www/gitea/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 7 Guangyuan Yang freebsd_committer 2021-07-18 21:38:09 UTC
Committed, thanks!